| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
MultiPhase.h File Reference

Headers for the MultiPhase object that is used to set up multiphase equilibrium problems (see Chemical Equilibrium). More...

`#include "cantera/numerics/DenseMatrix.h"`
Include dependency graph for MultiPhase.h:

## Detailed Description

Headers for the MultiPhase object that is used to set up multiphase equilibrium problems (see Chemical Equilibrium).

Definition in file MultiPhase.h.

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | MultiPhase
| A class for multiphase mixtures. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
std::ostream & | operator<< (std::ostream &s, MultiPhase &x)
| Function to output a MultiPhase description to a stream.
size_t | BasisOptimize (int *usedZeroedSpecies, bool doFormRxn, MultiPhase *mphase, vector< size_t > &orderVectorSpecies, vector< size_t > &orderVectorElements, vector< double > &formRxnMatrix)
| Choose the optimum basis of species for the equilibrium calculations.
void | ElemRearrange (size_t nComponents, const vector< double > &elementAbundances, MultiPhase *mphase, vector< size_t > &orderVectorSpecies, vector< size_t > &orderVectorElements)
| Handles the potential rearrangement of the constraint equations represented by the Formula Matrix.